export default defineNuxtConfig({
  nitro: {
    prerender: {
      routes: [
        '/',
        '/imp',
      ]
    }
  },
  routeRules: {
    '/': { prerender: true },
    '/imp': { prerender: true },
  },
  app: {
    head: {
      htmlAttrs: { lang: 'de' },
      link: [
        { rel: 'preload', as: 'image', href: '/img/profile_big.webp', type: 'image/webp' },
        { rel: 'preload', as: 'image', href: '/img/profile_small.webp', type: 'image/webp' },
        { rel: 'preload', as: 'font', href: '/opensans.woff2', type: 'font/woff2' },
        { rel: 'preload', as: 'font', href: '/roboto_con_bold.woff2', type: 'font/woff2' },
        { rel: 'preload', as: 'font', href: '/roboto_con_reg.woff2', type: 'font/woff2' },
      ]
    }
  }
})
